<?php
// Author: Kenneth C.K. Leung
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: netbackupHandler.php,v 1.3 2000/10/19 00:39:29 jcheng Exp $

include("ServerScriptHelper.php");

include("User.php");
include("Meta.php");

$serverScriptHelper = new ServerScriptHelper(); // Do session stuff
$product = $serverScriptHelper->getProductCode();
$isMonterey = ereg("35[0-9][0-9]R", $product);

if ( $isMonterey && ! user_authok( $PHP_AUTH_USER, "admin")) {
  $serverScriptHelper->destructor();
  header("location: /.cobalt/error/forbidden.html");
  return;
}

$cceClient = $serverScriptHelper->getCceClient();

$cceClient->setObject("System", array("enable" => $enableServer,"vtNetBackupMaster" => $vtNetBackupMasterField, "vtNetBackupExtras" => $vtNetBackupExtrasField ), "NetBackup");
$errors = $cceClient->errors();


print($serverScriptHelper->toHandlerHtml("/veritas/netbackup/netbackup.php", $errors, "veritas-netbackup"));

$serverScriptHelper->destructor();
?>





