<?php
// Author: Eric Braswell, ebraswell@cobalt, Kevin Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: netbackupLicense.php,v 1.1 2000/10/19 04:06:00 jcheng Exp $

if (!$enableServer) {
  include("./netbackupHandler.php");
  exit;
}

include("ServerScriptHelper.php");

include("User.php");
include("Meta.php");

$serverScriptHelper = new ServerScriptHelper();
$i18n = $serverScriptHelper->getI18n("veritas-netbackup");
$product = $serverScriptHelper->getProductCode();
$isMonterey = ereg("35[0-9][0-9]R", $product);

if ( $isMonterey && ! user_authok( $PHP_AUTH_USER, "admin")) {
  $serverScriptHelper->destructor();
  header("location: /.cobalt/error/forbidden.html");
  return;
}

$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("veritas-netbackup", "/veritas/netbackup/netbackupHandler.php");

if (!$enableServer) {
  include("./netbackupHandler");
  exit;
}

// get settings
$systemObj = $cceClient->getObject("System",array(),"NetBackup");

$page = $factory->getPage();
// make master, extra host names
$agreeButton = $factory->getButton($page->getSubmitAction(), "netbackupLicenseAgree");
$disagreeButton = $factory->getButton("/veritas/netbackup/netbackup.php", "netbackupLicenseDisagree");
print($page->toHeaderHtml());

 ?>
<TABLE WIDTH="75%">
<TR>
	<TD WIDTH="100%">
		<B><?php print($i18n->get("netbackupLicenseTitle")); ?></B>
		<HR ALIGN="center" NOSHADE SIZE="1">
	</TD>
<TR>
<TR>
	<TD>
		<?php print($i18n->get("netbackupLicenseText")); ?>
	</TD>
</TR>
<TR ALIGN="CENTER">
	<TD>
        	<INPUT TYPE="HIDDEN" NAME="vtNetBackupExtrasField" VALUE="<? print $vtNetBackupExtrasField; ?>">
	        <INPUT TYPE="HIDDEN" NAME="vtNetBackupMasterField" VALUE="<? print $vtNetBackupMasterField; ?>">
	        <INPUT TYPE="HIDDEN" NAME="enableServer" VALUE="<? print $enableServer; ?>">
	        <BR>
	        <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0">
	          <TR>
	            <TD><?php print($agreeButton->toHtml()); ?></TD>
	            <TD><IMG SRC="/libImage/spaceHolder.gif" WIDTH="5" HEIGHT="5"></TD>
	            <TD><?php print($disagreeButton->toHtml()); ?></TD>
	          </TR>
                </TABLE>
	</TD>
</TR>
</TABLE>




<?php print($page->toFooterHtml()); ?>
<?php $serverScriptHelper->destructor(); ?>


